librime: rime::DictSettings Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | List of all members
rime::DictSettings Class Reference

`#include <dict_settings.h>`

Inheritance diagram for rime::DictSettings:
[legend]
Collaboration diagram for rime::DictSettings:
[legend]

## Public Member Functions
| DictSettings ()
bool | LoadDictHeader (std::istream &stream)
bool | empty ()
string | dict_name ()
string | dict_version ()
string | sort_order ()
bool | use_preset_vocabulary ()
string | vocabulary ()
bool | use_rule_based_encoder ()
int | max_phrase_length ()
double | min_phrase_weight ()
an< ConfigList > | GetTables ()
int | GetColumnIndex (const string &column_label)
Public Member Functions inherited from rime::Config
RIME_DLL | Config ()
virtual RIME_DLL | ~Config ()
| Config (an< ConfigData > data)
bool | Save ()
bool | LoadFromStream (std::istream &stream)
bool | SaveToStream (std::ostream &stream)
RIME_DLL bool | LoadFromFile (const path &file_path)
RIME_DLL bool | SaveToFile (const path &file_path)
RIME_DLL bool | IsNull (const string &path)
bool | IsValue (const string &path)
RIME_DLL bool | IsList (const string &path)
RIME_DLL bool | IsMap (const string &path)
RIME_DLL bool | GetBool (const string &path, bool *value)
RIME_DLL bool | GetInt (const string &path, int *value)
RIME_DLL bool | GetDouble (const string &path, double *value)
RIME_DLL bool | GetString (const string &path, string *value)
RIME_DLL size_t | GetListSize (const string &path)
an< ConfigItem > | GetItem (const string &path)
an< ConfigValue > | GetValue (const string &path)
RIME_DLL an< ConfigList > | GetList (const string &path)
RIME_DLL an< ConfigMap > | GetMap (const string &path)
bool | SetBool (const string &path, bool value)
RIME_DLL bool | SetInt (const string &path, int value)
bool | SetDouble (const string &path, double value)
RIME_DLL bool | SetString (const string &path, const char *value)
bool | SetString (const string &path, const string &value)
RIME_DLL bool | SetItem (const string &path, an< ConfigItem > item)
template<class T>
ConfigItemRef & | operator= (const T &x)
Public Member Functions inherited from rime::ConfigItemRef
| ConfigItemRef (ConfigData *data)
virtual | ~ConfigItemRef ()=default
| operator an< ConfigItem > () const
an< ConfigItem > | operator* () const
template<class T>
ConfigItemRef & | operator= (const T &x)
ConfigListEntryRef | operator[] (size_t index)
ConfigMapEntryRef | operator[] (const string &key)
RIME_DLL bool | IsNull () const
bool | IsValue () const
RIME_DLL bool | IsList () const
bool | IsMap () const
RIME_DLL bool | ToBool () const
RIME_DLL int | ToInt () const
double | ToDouble () const
RIME_DLL string | ToString () const
RIME_DLL an< ConfigList > | AsList ()
RIME_DLL an< ConfigMap > | AsMap ()
RIME_DLL void | Clear ()
RIME_DLL bool | Append (an< ConfigItem > item)
RIME_DLL size_t | size () const
RIME_DLL bool | HasKey (const string &key) const
RIME_DLL bool | modified () const
RIME_DLL void | set_modified ()

## Additional Inherited Members
Public Types inherited from rime::Class< Config, const string & >
using | Initializer
Static Public Member Functions inherited from rime::Class< Config, const string & >
static Component * | Require (const string &name)
Protected Member Functions inherited from rime::Config
an< ConfigItem > | GetItem () const
void | SetItem (an< ConfigItem > item)
Protected Attributes inherited from rime::Config
an< ConfigData > | data_
Protected Attributes inherited from rime::ConfigItemRef
ConfigData * | data_

## Constructor & Destructor Documentation

## ◆ DictSettings()

rime::DictSettings::DictSettings | ( |  | ) |

## Member Function Documentation

## ◆ dict_name()

string rime::DictSettings::dict_name | ( |  | ) |

## ◆ dict_version()

string rime::DictSettings::dict_version | ( |  | ) |

## ◆ empty()

bool rime::DictSettings::empty | ( |  | ) |

## ◆ GetColumnIndex()

int rime::DictSettings::GetColumnIndex | ( | const string & | column_label | ) |

## ◆ GetTables()

an< ConfigList > rime::DictSettings::GetTables | ( |  | ) |

## ◆ LoadDictHeader()

bool rime::DictSettings::LoadDictHeader | ( | std::istream & | stream | ) |

## ◆ max_phrase_length()

int rime::DictSettings::max_phrase_length | ( |  | ) |

## ◆ min_phrase_weight()

double rime::DictSettings::min_phrase_weight | ( |  | ) |

## ◆ sort_order()

string rime::DictSettings::sort_order | ( |  | ) |

## ◆ use_preset_vocabulary()

bool rime::DictSettings::use_preset_vocabulary | ( |  | ) |

## ◆ use_rule_based_encoder()

bool rime::DictSettings::use_rule_based_encoder | ( |  | ) |

## ◆ vocabulary()

string rime::DictSettings::vocabulary | ( |  | ) |

The documentation for this class was generated from the following files:

- dict_settings.h
- dict_settings.cc